| Home | Libraries | People | FAQ | More

##### interior_rings (const version)

Function to get the interior rings of a polygon (const version)

###### Synopsis

    template<typename Polygon>
    interior_return_type<Polygon const>::type interior_rings(Polygon const & polygon)

###### Parameters

Type | Concept | Name | Description
--- | --- | --- | ---
Polygon const & | polygon type | polygon | the polygon to get the interior rings from

###### Returns

the interior rings (possibly a const reference)

###### Header

Either

`#include <boost/geometry/geometry.hpp>`

Or

`#include <boost/geometry/core/interior_rings.hpp>`